Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## taskspaces.rna
Class DatabaseEntry

    java.lang.Object
      |
      +--taskspaces.rna.DatabaseEntry

All Implemented Interfaces:
  java.io.Serializable

public class DatabaseEntry
extends java.lang.Object
implements java.io.Serializable

DatabaseEntry represents a lab-isolated set of motifs, structures and constraints. The class instantiated by a parser for XML data representing the entries.

Version:
  1.00 2 January 2003
Author:
  Rob Markel
See Also:
  Serialized Form

Field Summary
`(package private) java.lang.String[]` | `basePairs` Holds the valid base pairs.
`(package private) float[]` | `composition` Holds the current percentage composition of bases.
`(package private) java.util.ArrayList` | `constraints` Holds integer arrays representing pairing rules for this entry.
`(package private) boolean` | `gu` Indicates whether to allow GU or UG pairs.
`(package private) java.lang.String[]` | `modules` Holds the entry sequence modules.
`(package private) java.lang.String` | `name` Holds the name of the entry.
`(package private) float[]` | `pairProbs` Holds the probabilities for each base pair being selected based on the current composition.
`(package private) java.lang.String[]` | `structures` Holds the entry sequence structures.

Constructor Summary
`DatabaseEntry(java.lang.String name, java.lang.String[] modules, java.lang.String[] structures, java.util.ArrayList constraints)`

Method Summary
`java.lang.String[]` | `generateModules()` Modifies modules to match the entry's set of pairing constraints.
`java.util.ArrayList` | `getConstraints()` Returns this entry's constraints.
`java.lang.String[]` | `getModules()` Returns this entry's sequence modules.
`java.lang.String` | `getName()` Returns this entry's name.
`private char[]` | `getPair()` Returns a pair of bases using the probabilities in the pairProbs array set by the initializeArrays method.
`java.lang.String[]` | `getStructures()` Returns this entry's sequence structures.
`private void` | `initializeArrays()` Initializes the pairProbs probabilities array with the probabilities of each base pair being selected based on the percentages in the composition array.
`void` | `setComposition(float[] f, boolean b)` Sets the composition for this entry.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### name

    java.lang.String name

  Holds the name of the entry.

### modules

    java.lang.String[] modules

  Holds the entry sequence modules.

### structures

    java.lang.String[] structures

  Holds the entry sequence structures.

### basePairs

    java.lang.String[] basePairs

  Holds the valid base pairs.

### pairProbs

    float[] pairProbs

  Holds the probabilities for each base pair being selected based on the current composition.

### composition

    float[] composition

  Holds the current percentage composition of bases.

### gu

    boolean gu

  Indicates whether to allow GU or UG pairs.

### constraints

    java.util.ArrayList constraints

  Holds integer arrays representing pairing rules for this entry.

Constructor Detail

### DatabaseEntry

    public DatabaseEntry(java.lang.String name,
                         java.lang.String[] modules,
                         java.lang.String[] structures,
                         java.util.ArrayList constraints)

Method Detail

### setComposition

    public void setComposition(float[] f,
                               boolean b)

  Sets the composition for this entry.
  Parameters:
    `f` - holds percent values for the composition.
    `b` - `true` if allow GU, `false` to disallow.

### generateModules

    public java.lang.String[] generateModules()

  Modifies modules to match the entry's set of pairing constraints.
  Returns:
    the modified modules.

### getConstraints

    public java.util.ArrayList getConstraints()

  Returns this entry's constraints.
  Returns:
    the constriants.

### getModules

    public java.lang.String[] getModules()

  Returns this entry's sequence modules.
  Returns:
    the sequence modules.

### getStructures

    public java.lang.String[] getStructures()

  Returns this entry's sequence structures.
  Returns:
    the sequence structures.

### getName

    public java.lang.String getName()

  Returns this entry's name.
  Returns:
    the entry name.

### initializeArrays

    private void initializeArrays()

  Initializes the pairProbs probabilities array with the probabilities of each base pair being selected based on the percentages in the composition array.
  Returns:
    void.

### getPair

    private char[] getPair()

  Returns a pair of bases using the probabilities in the pairProbs array set by the initializeArrays method.
  Returns:
    the base pair.

Class | Use | Tree | Deprecated | Index | Help
| -bottom
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD